using System;

namespace VCommon.VApplication.Linq.Expressions.Dynamic
{
    public class DynamicProperty
    {
        public DynamicProperty(string name, Type type)
        {
            Name = name ?? throw new ArgumentNullException(nameof(name));
            Type = type ?? throw new ArgumentNullException(nameof(type));
        }

        public string Name { get; }

        public Type Type { get; }
    }
}